GET api/itemapi/item/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "d62e56ce-0954-446b-a98a-8794fc3d7a97",
"customer_id": "55fb9384-bb21-4fa8-b73d-a72726838286",
"grouping_quantity": 1,
"id": "06f4868b-c4b7-490a-a0e8-d07a680ebede",
"item_service_id": "8d9fea8c-7053-4277-af29-4ff074d63e38",
"item_garment_type_id": "a28e81b4-cfb7-4b2b-a27a-df65fe21b41b",
"item_segment_id": "218084a9-b280-449c-8b1a-cdb23aaff0fe",
"item_type_id": "d8c9b945-10f7-4bff-bcf7-7a3a6168d9a8",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "7fcd41b7-33ff-4149-a762-093bf5eb7db1",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>d62e56ce-0954-446b-a98a-8794fc3d7a97</color_id>
<customer_id>55fb9384-bb21-4fa8-b73d-a72726838286</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>06f4868b-c4b7-490a-a0e8-d07a680ebede</id>
<item_garment_type_id>a28e81b4-cfb7-4b2b-a27a-df65fe21b41b</item_garment_type_id>
<item_segment_id>218084a9-b280-449c-8b1a-cdb23aaff0fe</item_segment_id>
<item_service_id>8d9fea8c-7053-4277-af29-4ff074d63e38</item_service_id>
<item_type_id>d8c9b945-10f7-4bff-bcf7-7a3a6168d9a8</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>7fcd41b7-33ff-4149-a762-093bf5eb7db1</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>